%define short_name	oro
%define section		free

Name:           jakarta-oro
Version:        2.0.8
Release:        4
Epoch:		0
Summary:        Full regular expressions API
License:        Apache License
Group:          Development/Java
URL:            http://jakarta.apache.org/%{name}/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  java-rpmbuild > 0:1.5
BuildRequires:  java-1.7.0-openjdk-devel
BuildRequires:  ant
BuildArch:      noarch
Provides:       oro = %{EVRD}

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). They have been donated to the
Jakarta Project by Daniel Savarese (www.savarese.org), the copyright
holder of the ORO libraries. Daniel will continue to participate in
their development under the Jakarta Project.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
%ant -Dfinal.name=%{name} jar javadocs

%install
#jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{version}.jar %{short_name}-%{version}.jar)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
#javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{version} %{name})
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{version} %{short_name}-%{version})
(cd %{buildroot}%{_javadocdir} && ln -s %{short_name}-%{version} %{short_name})
rm -rf docs/api

%files
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE
%{_javadir}/*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}*.jar.*
%endif

%files javadoc
%{_javadocdir}/*


%changelog
* Mon Jul 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 0:2.0.8-4
+ Revision: 39900bd
- Bump release


